<!-- *************************************************************************** -->
<!-- *                                                                         * -->
<!-- *  Licensed Materials - Property of IBM                                   * -->
<!-- *  5724-L62                                                               * -->
<!-- *  (C) Copyright IBM Corp. 2005 All Rights Reserved.                      * -->
<!-- *                                                                         * -->
<!-- *  US Government Users Restricted Rights - Use, duplication or            * -->
<!-- *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.      * -->
<!-- *                                                                         * -->
<!-- *************************************************************************** -->
<!-- @(#)75   1.12   octigate.web/src/files/en/servergroup/modify.jsp, am_octigate.web, WSAM32_FP1_L3 3/4/05 17:46:15   -->

<%@ include file="/global/init.jsp" %>
<%@ page import="com.cyanea.octigate.account.*" %>
<%@ page import="com.cyanea.octigate.server.*" %>
<%@ page import="com.cyanea.octigate.servergroup.*" %>
<%@ page import="java.util.*" %>
<jsp:useBean id="group" class="com.cyanea.octigate.servergroup.ServerGroup" scope="request" />
<jsp:useBean id="allAccounts" class="java.util.ArrayList" scope="request" />
<jsp:useBean id="allServers" class="java.util.ArrayList" scope="request" />
<jsp:useBean id="baselineForm" class="com.cyanea.ve.servergroup.BaselineForm" scope="request" />


<!--
 (c) 2002 Cyanea Systems Corp.
 All Rights Reserved
//-->

<html>
<head>
<title><i18n:message key="servergroup.modify.pagetitle"/></title>
<script language="Javascript">

function DoSubmit() {
  for(i=0;i<document.mainform.granted.length;i++) {
    document.mainform.granted.options[i].selected = true;
  }
  for(i=0;i<document.mainform.linked.length;i++) {
    document.mainform.linked.options[i].selected = true;
  }
  document.mainform.submit();
}

// Listbox Mover

function moveselected(remove, add) {
  var removing = eval("document.mainform." + remove);
  var adding = eval("document.mainform." + add);
  var selected = null;
  for (i = 0; i < removing.length; i++) {
    if (removing.options[i].selected == true) {
      selected = i;
      i = removing.length + 1;
      }
    }
  if (selected != null) {
    adding.options[adding.length] = new Option(removing.options[selected].text, removing.options[selected].value);
    removing.options[selected] = null;
    }
  for (i = 0; i < removing.length; i++) {
    if (removing.options[i].selected == true) {
      moveselected(remove, add);
      }
    }
  }

// enable/disable baseline textboxes

function enablerollingbase() {
    document.mainform.baselineResponseTime.disabled = true;
    document.mainform.baselineResponseTime.className = "disabled";
    
    document.mainform.baselineGateway.disabled = true;
    document.mainform.baselineGateway.className = "disabled";
    document.mainform.baselinePortalPages.disabled = true;
    document.mainform.baselinePortalPages.className = "disabled";
    document.mainform.baselineAuthentication.disabled = true;
    document.mainform.baselineAuthentication.className = "disabled";
    document.mainform.baselineAuthorization.disabled = true;
    document.mainform.baselineAuthorization.className = "disabled";
    document.mainform.baselineModel.disabled = true;
    document.mainform.baselineModel.className = "disabled";
	 document.mainform.baselinePageLoading.disabled = true;
    document.mainform.baselinePageLoading.className = "disabled";
    document.mainform.baselinePortlets.disabled = true;
    document.mainform.baselinePortlets.className = "disabled";

    document.mainform.startDateMonth.disabled = true;
    document.mainform.startDateDay.disabled = true;
    document.mainform.startDateYear.disabled = true;
    document.mainform.startDateMonth.className = "disabled";
    document.mainform.startDateDay.className = "disabled";
    document.mainform.startDateYear.className = "disabled";

    document.mainform.endDateMonth.disabled = true;
    document.mainform.endDateDay.disabled = true;
    document.mainform.endDateYear.disabled = true;
    document.mainform.endDateMonth.className = "disabled";
    document.mainform.endDateDay.className = "disabled";
    document.mainform.endDateYear.className = "disabled";

    document.mainform.duration.disabled = false;
    document.mainform.duration.className = "";
    }

function enablefixedbase() {
    document.mainform.baselineResponseTime.disabled = true;
    document.mainform.baselineResponseTime.className = "disabled";

	document.mainform.baselineGateway.disabled = true;
    document.mainform.baselineGateway.className = "disabled";
    document.mainform.baselinePortalPages.disabled = true;
    document.mainform.baselinePortalPages.className = "disabled";
    document.mainform.baselineAuthentication.disabled = true;
    document.mainform.baselineAuthentication.className = "disabled";
    document.mainform.baselineAuthorization.disabled = true;
    document.mainform.baselineAuthorization.className = "disabled";
    document.mainform.baselineModel.disabled = true;
    document.mainform.baselineModel.className = "disabled";
    document.mainform.baselinePageLoading.disabled = true;
    document.mainform.baselinePageLoading.className = "disabled";
    document.mainform.baselinePortlets.disabled = true;
    document.mainform.baselinePortlets.className = "disabled";
    
    document.mainform.startDateMonth.disabled = false;
    document.mainform.startDateDay.disabled = false;
    document.mainform.startDateYear.disabled = false;
    document.mainform.startDateMonth.className = "";
    document.mainform.startDateDay.className = "";
    document.mainform.startDateYear.className = "";

    document.mainform.endDateMonth.disabled = false;
    document.mainform.endDateDay.disabled = false;
    document.mainform.endDateYear.disabled = false;
    document.mainform.endDateMonth.className = "";
    document.mainform.endDateDay.className = "";
    document.mainform.endDateYear.className = "";

    document.mainform.duration.disabled = true;
    document.mainform.duration.className = "disabled";
    }

function enablefixedrt() {
    document.mainform.baselineResponseTime.disabled = false;
    document.mainform.baselineResponseTime.className = "";

	document.mainform.baselineGateway.disabled = false;
    document.mainform.baselineGateway.className = "";
    document.mainform.baselinePortalPages.disabled = false;
    document.mainform.baselinePortalPages.className = "";
    document.mainform.baselineAuthentication.disabled = false;
    document.mainform.baselineAuthentication.className = "";
    document.mainform.baselineAuthorization.disabled = false;
    document.mainform.baselineAuthorization.className = "";
    document.mainform.baselineModel.disabled = false;
    document.mainform.baselineModel.className = "";
    document.mainform.baselinePageLoading.disabled = false;
    document.mainform.baselinePageLoading.className = "";
    document.mainform.baselinePortlets.disabled = false;
    document.mainform.baselinePortlets.className = "";
    
    document.mainform.startDateMonth.disabled = true;
    document.mainform.startDateDay.disabled = true;
    document.mainform.startDateYear.disabled = true;
    document.mainform.startDateMonth.className = "disabled";
    document.mainform.startDateDay.className = "disabled";
    document.mainform.startDateYear.className = "disabled";

    document.mainform.endDateMonth.disabled = true;
    document.mainform.endDateDay.disabled = true;
    document.mainform.endDateYear.disabled = true;
    document.mainform.endDateMonth.className = "disabled";
    document.mainform.endDateDay.className = "disabled";
    document.mainform.endDateYear.className = "disabled";

    document.mainform.duration.disabled = true;
    document.mainform.duration.className = "disabled";
	}
    
// Toggle Portal Indicators
function toggle_portal_indicators() {
	if (document.getElementById("portal_indicators").style.display == "none") {
		document.getElementById("portal_indicators").style.display = "";
		document.getElementById("portal_indicators_button").src = "<%= contextPath%>/<%= skinPath%>/images/contract_light.gif";
	} else {
		document.getElementById("portal_indicators").style.display = "none";
		document.getElementById("portal_indicators_button").src = "<%= contextPath%>/<%= skinPath%>/images/expand_light.gif";
	}

	if (ie4 || ie5) {
		if (document.body.scrollHeight > document.body.clientHeight) {leftside.style.height = document.body.scrollHeight}
		else {leftside.style.height = document.body.clientHeight;}
	}
	else if (ns6) {
		if (document.body.offsetHeight < self.innerHeight) {document.getElementById("leftside").style.height = self.innerHeight;}
		else {document.getElementById("leftside").style.height = document.body.offsetHeight + 30;}
	}
}

function autoExpandPortal() {
	str = document.location + "";
	if(str.substring(str.length-7) == "#portal") {
		toggle_portal_indicators();
	}
}

</script>
<jsp:include page='<%= rootPath + "/include/jsinit.jsp" %>' flush="true" />
<jsp:include page='<%= "/" + skinPath + "/mainstyle.jsp" %>' flush="true" />

</head>
<body  background="<%=contextPath%>/<%=skinPath%>/images/bg.gif" marginheight=0 marginwidth=0 topmargin=0 leftmargin=0 rightmargin=0 onload="load(); autoExpandPortal()" onresize="resize();">
<jsp:include page='<%= rootPath + "/include/leftside.jsp" %>' flush="true" />
<jsp:include page='<%= rootPath + "/include/topnav.jsp" %>' flush="true" />
<table border=0 cellpadding=0 cellspacing=0>
	<form name="cancelform" method="post">
  		<input type="hidden" name="cancel" value="cancel">
  	</form>
  	<form name="mainform" onSubmit="javascript:DoSubmit();" method="post">
  		<input type="hidden" name="save" value="save">
	<tr>
    <td height=130><img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" height=130 width=1></td>
    <td height=130 align="right" valign="bottom">
      <table border=0 cellpadding=10 cellspacing=0>
        <tr>
          <td class="directions">
            <!-- ERRORS AND DIRECTIONS -->
            <i18n:message key="servergroup.modify.pageheader"/><br><i18n:message key="servergroup.modify.pagecontent"/><br><br>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top" rowspan=2>
    <img src="<%= contextPath %>/<%=skinPath%>/images/pixel.gif" width=310 height=1><br>
    <!-- LEFT SIDE -->
    <input type="hidden" value="<%=group.getID()%>" name="groupid">
    </td>
    <td height=14><img src="<%= contextPath %>/<%=skinPath%>/images/pixel.gif" height=14></td>
  </tr>
  <tr>
    <td valign="top">
      <!-- RIGHT SIDE -->
      <jsp:include page='<%= rootPath + "/include/error.jsp" %>' flush="true" />
      <table border=0 cellpadding=0 cellspacing=10>
        <tr>
          <td>
            <table border=0 cellpadding=6 cellspacing=2 width=600>
              <tr>
                <td class="table_header" colspan=2>
					<table border=0 cellpadding=0 cellspacing=0 width=100%>
					<tr>
						<td class="table_header"><i18n:message key="servergroup.modify.group_info"/></td><td class="table_header" align="right">* <i18n:message key="servergroup.modify.required_field"/></td>
              		</tr>
  					</table>
  				</td>
  			  </tr>
              <tr>
                <td class="row_header" align="right">*<i18n:message key="servergroup.modify.group_name"/></td>
                <td class="data_cell"><input type="text" style="width:405" name="name" value="<%=group.getName()%>" maxlength="25"></td>
              </tr>
              <tr>
                <td class="row_header" align="right"><i18n:message key="servergroup.modify.description"/></td>
                <td class="data_cell"><input type="text" style="width:405"  name="description" value="<%=group.getDescription()%>" maxlength="50"></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
        	<td>
            <table border=0 cellpadding=6 cellspacing=2 width=600>
              <tr>
                <td colspan=3 class="table_header"><i18n:message key="servergroup.modify.threshold1"/></td>
              </tr>  
              <tr>
                <td class="table_subheader" colspan=3><i18n:message key="servergroup.modify.threshold1data"/></td>
              </tr>
              <tr>
              	<td class="column_header"><i18n:message key="servergroup.modify.name"/></td>
              	<td class="column_header" align="right"><i18n:message key="servergroup.modify.indicator1"/></td>
              	<td class="column_header" align="right"><i18n:message key="servergroup.modify.indicator2"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.responsetime"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>  &nbsp; <input type="text" style="width:50"  name="threshold1" value="<%= baselineForm.getThreshold1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/>
                </td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>  &nbsp; <input type="text" style="width:50"  name="threshold2" value="<%= baselineForm.getThreshold2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
        	<td>
        	<a name="portal">
        	 <table border=0 cellpadding=0 cellspacing=0 width=100%>
					<tr>
						<td width=2><img src="<%= contextPath %>/<%=skinPath%>/images/pixel.gif" width=2 height=1></td>
						<td>
							<table border=0 cellpadding=6 cellspacing=0 width=100%>
								<tr>
									<td width=100% class="table_header">
										<table border=0 cellpadding=0 cellspacing=0>
											<tr>
												<td><a href="javascript:toggle_portal_indicators();"><img id="portal_indicators_button" src="<%= contextPath %>/<%=skinPath%>/images/expand_light.gif" border=0></a><img src="<%= contextPath %>/<%=skinPath%>/images/pixel.gif" width=4 height=1></td>
												<td class="text_color1"><i18n:message key="servergroup.modify.threshold2"/></td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
						<td width=2><img src="<%= contextPath %>/<%=skinPath%>/images/pixel.gif" width=2 height=1></td>
					</tr>
			  </table>
			  <table border=0 cellpadding=6 cellspacing=2 width=100% id="portal_indicators" style="display:none">
			  <tr>
                <td class="table_subheader" colspan=3><i18n:message key="servergroup.modify.threshold2data"/></td>
              </tr>
              <tr>
              	<td class="column_header"><i18n:message key="servergroup.modify.name"/></td>
              	<td class="column_header" align="right"><i18n:message key="servergroup.modify.indicator1"/></td>
              	<td class="column_header" align="right"><i18n:message key="servergroup.modify.indicator2"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.gateway"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="gateway1" value="<%= baselineForm.getPortalGateway1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="gateway2" value="<%= baselineForm.getPortalGateway2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.portalpages"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="portalpages1" value="<%= baselineForm.getPortalPages1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="portalpages2" value="<%= baselineForm.getPortalPages2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.authentication"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="authentication1" value="<%= baselineForm.getPortalAuthentication1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="authentication2" value="<%= baselineForm.getPortalAuthentication2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.authorization"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="authorization1" value="<%= baselineForm.getPortalAuthorization1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="authorization2" value="<%= baselineForm.getPortalAuthorization2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.model"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="model1" value="<%= baselineForm.getPortalModel1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="model2" value="<%= baselineForm.getPortalModel2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.load"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="load1" value="<%= baselineForm.getPortalPageLoading1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="load2" value="<%= baselineForm.getPortalPageLoading2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
              </tr>
              <tr>
                <td class="data_cell"><i18n:message key="servergroup.modify.portlets"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="portlets1" value="<%= baselineForm.getPortalPortlets1() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.greater_than"/>&nbsp; <input type="text" style="width:50"  name="portlets2" value="<%= baselineForm.getPortalPortlets2() %>" maxlength=3> <i18n:message key="servergroup.modify.percentage"/></td>
              </tr>
			</table>
          </td>
        </tr>
        <tr>
        	<td>
        		<table border=0 cellpadding=6 cellspacing=2 width=600>
              <tr>
                <td class="table_header" colspan=4><i18n:message key="servergroup.modify.baseline_def"/></td>
              </tr>
              <!-- CHOICE 1 -->
              <tr>
              	<td class="data_cell"><input type="radio" name="baselineType" value="<%= SystemProperties.BASELINE_TYPE_ROLLING_DATE %>" <%= (Integer.parseInt(baselineForm.getBaselineType()) == SystemProperties.BASELINE_TYPE_ROLLING_DATE) ? "checked" : "" %> onclick="javascript:enablerollingbase();"> <i18n:message key="servergroup.modify.rolling_date"/></td>
                <td class="data_cell"><input type="text" style="width:50" name="duration" value="<%= baselineForm.getDuration() %>" maxlength=2> <i18n:message key="servergroup.modify.days"/></td>
              </tr>
              <!-- CHOICE 2 -->
              <tr>
                <td class="data_cell"><input type="radio" name="baselineType" value="<%= SystemProperties.BASELINE_TYPE_FIXED_DATE %>" <%= (Integer.parseInt(baselineForm.getBaselineType()) == SystemProperties.BASELINE_TYPE_FIXED_DATE) ? "checked" : "" %> onclick="javascript:enablefixedbase();"> <i18n:message key="servergroup.modify.fixed_date"/></td>
                <td class="data_cell">
                  <table border=0 cellpadding=3 cellspacing=0>
                    <tr valign="top">
                      <td class="data_cell" valign="center"><i18n:message key="servergroup.modify.start_date"/></td>
                      <td>
                        <select name="startDateMonth" disabled class="disabled">
                          <option value='0' <%= baselineForm.getStartDateMonth().equals("0") ? "selected" : "" %>><i18n:message key="servergroup.modify.jan"/></option>
                          <option value='1' <%= baselineForm.getStartDateMonth().equals("1") ? "selected" : "" %>><i18n:message key="servergroup.modify.feb"/></option>
                          <option value='2' <%= baselineForm.getStartDateMonth().equals("2") ? "selected" : "" %>><i18n:message key="servergroup.modify.mar"/></option>
                          <option value='3' <%= baselineForm.getStartDateMonth().equals("3") ? "selected" : "" %>><i18n:message key="servergroup.modify.apr"/></option>
                          <option value='4' <%= baselineForm.getStartDateMonth().equals("4") ? "selected" : "" %>><i18n:message key="servergroup.modify.may"/></option>
                          <option value='5' <%= baselineForm.getStartDateMonth().equals("5") ? "selected" : "" %>><i18n:message key="servergroup.modify.jun"/></option>
                          <option value='6' <%= baselineForm.getStartDateMonth().equals("6") ? "selected" : "" %>><i18n:message key="servergroup.modify.jul"/></option>
                          <option value='7' <%= baselineForm.getStartDateMonth().equals("7") ? "selected" : "" %>><i18n:message key="servergroup.modify.aug"/></option>
                          <option value='8' <%= baselineForm.getStartDateMonth().equals("8") ? "selected" : "" %>><i18n:message key="servergroup.modify.sep"/></option>
                          <option value='9' <%= baselineForm.getStartDateMonth().equals("9") ? "selected" : "" %>><i18n:message key="servergroup.modify.oct"/></option>
                          <option value='10' <%= baselineForm.getStartDateMonth().equals("10") ? "selected" : "" %>><i18n:message key="servergroup.modify.nov"/></option>
                          <option value='11' <%= baselineForm.getStartDateMonth().equals("11") ? "selected" : "" %>><i18n:message key="servergroup.modify.dec"/></option>
                        </select>
                      </td>
                      <td>
                        <select name="startDateDay"  disabled class="disabled">
                          <option value='1' <%= baselineForm.getStartDateDay().equals("1") ? "selected" : "" %>>01</option>
                          <option value='2' <%= baselineForm.getStartDateDay().equals("2") ? "selected" : "" %>>02</option>
                          <option value='3' <%= baselineForm.getStartDateDay().equals("3") ? "selected" : "" %>>03</option>
                          <option value='4' <%= baselineForm.getStartDateDay().equals("4") ? "selected" : "" %>>04</option>
                          <option value='5' <%= baselineForm.getStartDateDay().equals("5") ? "selected" : "" %>>05</option>
                          <option value='6' <%= baselineForm.getStartDateDay().equals("6") ? "selected" : "" %>>06</option>
                          <option value='7' <%= baselineForm.getStartDateDay().equals("7") ? "selected" : "" %>>07</option>
                          <option value='8' <%= baselineForm.getStartDateDay().equals("8") ? "selected" : "" %>>08</option>
                          <option value='9' <%= baselineForm.getStartDateDay().equals("9") ? "selected" : "" %>>09</option>
                          <option value='10' <%= baselineForm.getStartDateDay().equals("10") ? "selected" : "" %>>10</option>
                          <option value='11' <%= baselineForm.getStartDateDay().equals("11") ? "selected" : "" %>>11</option>
                          <option value='12' <%= baselineForm.getStartDateDay().equals("12") ? "selected" : "" %>>12</option>
                          <option value='13' <%= baselineForm.getStartDateDay().equals("13") ? "selected" : "" %>>13</option>
                          <option value='14' <%= baselineForm.getStartDateDay().equals("14") ? "selected" : "" %>>14</option>
                          <option value='15' <%= baselineForm.getStartDateDay().equals("15") ? "selected" : "" %>>15</option>
                          <option value='16' <%= baselineForm.getStartDateDay().equals("16") ? "selected" : "" %>>16</option>
                          <option value='17' <%= baselineForm.getStartDateDay().equals("17") ? "selected" : "" %>>17</option>
                          <option value='18' <%= baselineForm.getStartDateDay().equals("18") ? "selected" : "" %>>18</option>
                          <option value='19' <%= baselineForm.getStartDateDay().equals("19") ? "selected" : "" %>>19</option>
                          <option value='20' <%= baselineForm.getStartDateDay().equals("20") ? "selected" : "" %>>20</option>
                          <option value='21' <%= baselineForm.getStartDateDay().equals("21") ? "selected" : "" %>>21</option>
                          <option value='22' <%= baselineForm.getStartDateDay().equals("22") ? "selected" : "" %>>22</option>
                          <option value='23' <%= baselineForm.getStartDateDay().equals("23") ? "selected" : "" %>>23</option>
                          <option value='24' <%= baselineForm.getStartDateDay().equals("24") ? "selected" : "" %>>24</option>
                          <option value='25' <%= baselineForm.getStartDateDay().equals("25") ? "selected" : "" %>>25</option>
                          <option value='26' <%= baselineForm.getStartDateDay().equals("26") ? "selected" : "" %>>26</option>
                          <option value='27' <%= baselineForm.getStartDateDay().equals("27") ? "selected" : "" %>>27</option>
                          <option value='28' <%= baselineForm.getStartDateDay().equals("28") ? "selected" : "" %>>28</option>
                          <option value='29' <%= baselineForm.getStartDateDay().equals("29") ? "selected" : "" %>>29</option>
                          <option value='30' <%= baselineForm.getStartDateDay().equals("30") ? "selected" : "" %>>30</option>
                          <option value='31' <%= baselineForm.getStartDateDay().equals("31") ? "selected" : "" %>>31</option>
                        </select>
                      </td>
                      <td>
                        <select name="startDateYear"  disabled class="disabled">
                          <option value='2002' <%= baselineForm.getStartDateYear().equals("2002") ? "selected" : "" %>>2002</option>
                          <option value='2003' <%= baselineForm.getStartDateYear().equals("2003") ? "selected" : "" %>>2003</option>
                          <option value='2004' <%= baselineForm.getStartDateYear().equals("2004") ? "selected" : "" %>>2004</option>
                          <option value='2005' <%= baselineForm.getStartDateYear().equals("2005") ? "selected" : "" %>>2005</option>
                          <option value='2006' <%= baselineForm.getStartDateYear().equals("2006") ? "selected" : "" %>>2006</option>
                          <option value='2007' <%= baselineForm.getStartDateYear().equals("2007") ? "selected" : "" %>>2007</option>
                          <option value='2008' <%= baselineForm.getStartDateYear().equals("2008") ? "selected" : "" %>>2008</option>
                          <option value='2009' <%= baselineForm.getStartDateYear().equals("2009") ? "selected" : "" %>>2009</option>
                          <option value='2010' <%= baselineForm.getStartDateYear().equals("2010") ? "selected" : "" %>>2010</option>
                          <option value='2011' <%= baselineForm.getStartDateYear().equals("2011") ? "selected" : "" %>>2011</option>
                          <option value='2012' <%= baselineForm.getStartDateYear().equals("2012") ? "selected" : "" %>>2012</option>
                        </select>
                      </td>
                    </tr>
                    <tr valign="top">
                      <td class="data_cell" valign="center"><i18n:message key="servergroup.modify.end_date"/></td>
                      <td>
                        <select name="endDateMonth"  disabled class="disabled">
                          <option value='0' <%= baselineForm.getEndDateMonth().equals("0") ? "selected" : "" %>><i18n:message key="servergroup.modify.jan"/></option>
                          <option value='1' <%= baselineForm.getEndDateMonth().equals("1") ? "selected" : "" %>><i18n:message key="servergroup.modify.feb"/></option>
                          <option value='2' <%= baselineForm.getEndDateMonth().equals("2") ? "selected" : "" %>><i18n:message key="servergroup.modify.mar"/></option>
                          <option value='3' <%= baselineForm.getEndDateMonth().equals("3") ? "selected" : "" %>><i18n:message key="servergroup.modify.apr"/></option>
                          <option value='4' <%= baselineForm.getEndDateMonth().equals("4") ? "selected" : "" %>><i18n:message key="servergroup.modify.may"/></option>
                          <option value='5' <%= baselineForm.getEndDateMonth().equals("5") ? "selected" : "" %>><i18n:message key="servergroup.modify.jun"/></option>
                          <option value='6' <%= baselineForm.getEndDateMonth().equals("6") ? "selected" : "" %>><i18n:message key="servergroup.modify.jul"/></option>
                          <option value='7' <%= baselineForm.getEndDateMonth().equals("7") ? "selected" : "" %>><i18n:message key="servergroup.modify.aug"/></option>
                          <option value='8' <%= baselineForm.getEndDateMonth().equals("8") ? "selected" : "" %>><i18n:message key="servergroup.modify.sep"/></option>
                          <option value='9' <%= baselineForm.getEndDateMonth().equals("9") ? "selected" : "" %>><i18n:message key="servergroup.modify.oct"/></option>
                          <option value='10' <%= baselineForm.getEndDateMonth().equals("10") ? "selected" : "" %>><i18n:message key="servergroup.modify.nov"/></option>
                          <option value='11' <%= baselineForm.getEndDateMonth().equals("11") ? "selected" : "" %>><i18n:message key="servergroup.modify.dec"/></option>
                        </select>
                      </td>
                      <td>
                        <select name="endDateDay"  disabled class="disabled">
                          <option value='1' <%= baselineForm.getEndDateDay().equals("1") ? "selected" : "" %>>01</option>
                          <option value='2' <%= baselineForm.getEndDateDay().equals("2") ? "selected" : "" %>>02</option>
                          <option value='3' <%= baselineForm.getEndDateDay().equals("3") ? "selected" : "" %>>03</option>
                          <option value='4' <%= baselineForm.getEndDateDay().equals("4") ? "selected" : "" %>>04</option>
                          <option value='5' <%= baselineForm.getEndDateDay().equals("5") ? "selected" : "" %>>05</option>
                          <option value='6' <%= baselineForm.getEndDateDay().equals("6") ? "selected" : "" %>>06</option>
                          <option value='7' <%= baselineForm.getEndDateDay().equals("7") ? "selected" : "" %>>07</option>
                          <option value='8' <%= baselineForm.getEndDateDay().equals("8") ? "selected" : "" %>>08</option>
                          <option value='9' <%= baselineForm.getEndDateDay().equals("9") ? "selected" : "" %>>09</option>
                          <option value='10' <%= baselineForm.getEndDateDay().equals("10") ? "selected" : "" %>>10</option>
                          <option value='11' <%= baselineForm.getEndDateDay().equals("11") ? "selected" : "" %>>11</option>
                          <option value='12' <%= baselineForm.getEndDateDay().equals("12") ? "selected" : "" %>>12</option>
                          <option value='13' <%= baselineForm.getEndDateDay().equals("13") ? "selected" : "" %>>13</option>
                          <option value='14' <%= baselineForm.getEndDateDay().equals("14") ? "selected" : "" %>>14</option>
                          <option value='15' <%= baselineForm.getEndDateDay().equals("15") ? "selected" : "" %>>15</option>
                          <option value='16' <%= baselineForm.getEndDateDay().equals("16") ? "selected" : "" %>>16</option>
                          <option value='17' <%= baselineForm.getEndDateDay().equals("17") ? "selected" : "" %>>17</option>
                          <option value='18' <%= baselineForm.getEndDateDay().equals("18") ? "selected" : "" %>>18</option>
                          <option value='19' <%= baselineForm.getEndDateDay().equals("19") ? "selected" : "" %>>19</option>
                          <option value='20' <%= baselineForm.getEndDateDay().equals("20") ? "selected" : "" %>>20</option>
                          <option value='21' <%= baselineForm.getEndDateDay().equals("21") ? "selected" : "" %>>21</option>
                          <option value='22' <%= baselineForm.getEndDateDay().equals("22") ? "selected" : "" %>>22</option>
                          <option value='23' <%= baselineForm.getEndDateDay().equals("23") ? "selected" : "" %>>23</option>
                          <option value='24' <%= baselineForm.getEndDateDay().equals("24") ? "selected" : "" %>>24</option>
                          <option value='25' <%= baselineForm.getEndDateDay().equals("25") ? "selected" : "" %>>25</option>
                          <option value='26' <%= baselineForm.getEndDateDay().equals("26") ? "selected" : "" %>>26</option>
                          <option value='27' <%= baselineForm.getEndDateDay().equals("27") ? "selected" : "" %>>27</option>
                          <option value='28' <%= baselineForm.getEndDateDay().equals("28") ? "selected" : "" %>>28</option>
                          <option value='29' <%= baselineForm.getEndDateDay().equals("29") ? "selected" : "" %>>29</option>
                          <option value='30' <%= baselineForm.getEndDateDay().equals("30") ? "selected" : "" %>>30</option>
                          <option value='31' <%= baselineForm.getEndDateDay().equals("31") ? "selected" : "" %>>31</option>
                        </select>
                      </td>
                      <td>
                        <select name="endDateYear" disabled class="disabled">
                          <option value='2002' <%= baselineForm.getEndDateYear().equals("2002") ? "selected" : "" %>>2002</option>
                          <option value='2003' <%= baselineForm.getEndDateYear().equals("2003") ? "selected" : "" %>>2003</option>
                          <option value='2004' <%= baselineForm.getEndDateYear().equals("2004") ? "selected" : "" %>>2004</option>
                          <option value='2005' <%= baselineForm.getEndDateYear().equals("2005") ? "selected" : "" %>>2005</option>
                          <option value='2006' <%= baselineForm.getEndDateYear().equals("2006") ? "selected" : "" %>>2006</option>
                          <option value='2007' <%= baselineForm.getEndDateYear().equals("2007") ? "selected" : "" %>>2007</option>
                          <option value='2008' <%= baselineForm.getEndDateYear().equals("2008") ? "selected" : "" %>>2008</option>
                          <option value='2009' <%= baselineForm.getEndDateYear().equals("2009") ? "selected" : "" %>>2009</option>
                          <option value='2010' <%= baselineForm.getEndDateYear().equals("2010") ? "selected" : "" %>>2010</option>
                          <option value='2011' <%= baselineForm.getEndDateYear().equals("2011") ? "selected" : "" %>>2011</option>
                          <option value='2012' <%= baselineForm.getEndDateYear().equals("2012") ? "selected" : "" %>>2012</option>
                        </select>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
              <!-- CHOICE 3 -->
              <tr valign="top">
                <td class="data_cell" rowspan=10><input type="radio"  name="baselineType" value="<%= SystemProperties.BASELINE_TYPE_RESPONSE_TIME %>" <%= (Integer.parseInt(baselineForm.getBaselineType()) == SystemProperties.BASELINE_TYPE_RESPONSE_TIME) ? "checked" : "" %> onclick="enablefixedrt();" rowspan=7> <i18n:message key="servergroup.modify.fixed_response_time"/></td>
                <td class="table_subheader"><i18n:message key="servergroup.modify.servergroup"/></td>
              </tr>
              <tr>
                <td class="data_cell" align="right"><i18n:message key="servergroup.modify.responsetime"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselineResponseTime" disabled value="<%= baselineForm.getBaselineResponseTime() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
              <tr>
              	<td class="table_subheader" ><i18n:message key="servergroup.modify.portal"/></td>
              </tr>
              <tr>
              	<td class="data_cell" align="right"><i18n:message key="servergroup.modify.gateway"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselineGateway" disabled value="<%= baselineForm.getBaselineGateway() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
              <tr>
              	<td class="data_cell" align="right"><i18n:message key="servergroup.modify.portalpages"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselinePortalPages" disabled value="<%= baselineForm.getBaselinePortalPages() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
              <tr>
              	<td class="data_cell" align="right"><i18n:message key="servergroup.modify.authentication"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselineAuthentication" disabled value="<%= baselineForm.getBaselineAuthentication() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
              <tr>
              	<td class="data_cell" align="right"><i18n:message key="servergroup.modify.authorization"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselineAuthorization" disabled value="<%= baselineForm.getBaselineAuthorization() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
              <tr>
              	<td class="data_cell" align="right"><i18n:message key="servergroup.modify.model"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselineModel" disabled value="<%= baselineForm.getBaselineModel() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
              <tr>
              	<td class="data_cell" align="right"><i18n:message key="servergroup.modify.load"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselinePageLoading" disabled value="<%= baselineForm.getBaselinePageLoading() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
              <tr>
              	<td class="data_cell" align="right"><i18n:message key="servergroup.modify.portlets"/>&nbsp; <input type="text" style="width:100" class="disabled" name="baselinePortlets" disabled value="<%= baselineForm.getBaselinePortlets() %>" maxlength=5> (<i18n:message key="servergroup.modify.ms"/>)</td>
              </tr>
            </table>
          </td>
        </tr>        
        <tr>
        	<td>
            <table border=0 cellpadding=6 cellspacing=2 width=600>  
              <tr>
                <td class="table_header" colspan=2><i18n:message key="servergroup.modify.group_members"/></td>
              </tr>
              <tr>
                <td colspan=2 class="data_cell">
                  <table border=0 cellpadding=0 cellspacing=0>
                    <tr>
                      <td align="center"width=33%><i18n:message key="servergroup.modify.all_servers"/><br>
                        <img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" height=3><br>
                        <select name="allservers" size=6 multiple style="width:270;">
						<% for (int i = 0; i < allServers.size(); i++) {
						      Server server = (Server) allServers.get(i);
						      if (! group.getLinkedServers().contains(server)) { %>
						         <option value="<%=server.getServerId()%>"><%=server.getAdminServer()%>:<%=server.getAppServer()%>
						<%    }
						   } 
						%>
                        </select>
                      </td>
                      <td align="center" width=33%>
                        <table border=0 cellpadding=0 cellspacing=0 valign="middle">
                          <tr>
                            <td><img src="<%= contextPath %>/<%=skinPath%>/images/pixel.gif" height=18></td>
                          </tr>
                          <tr>
                            <td>
                              <input type="button" class="button" style="width:90;" value="<i18n:message key="servergroup.modify.add"/> >" onclick="moveselected('allservers', 'linked')"><br>
                              <img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" height=3><br>
                              <input type="button" class="button" style="width:90;" value="< <i18n:message key="servergroup.modify.remove"/>" onclick="moveselected('linked', 'allservers')">
                            </td>
                          </tr>
                        </table>
                      </td>
                      <td align="center" width=33%>
                        <i18n:message key="servergroup.modify.servers_in_group"/><br>
                        <img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" height=3><br>
                        <select name="linked" size=6 multiple style="width:270;">
						<% ArrayList linkedServers = group.getLinkedServers();
						   for (int i = 0; i < linkedServers.size(); i++) {
						      Server server = (Server) linkedServers.get(i); %>
						      <option value="<%=server.getServerId()%>"><%=server.getName()%>
						<% } %>
                        </select>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
        	<td>
        		<table border=0 cellpadding=6 cellspacing=2 width=600>
              <tr>
                <td class="table_header" colspan=2><i18n:message key="servergroup.modify.user_access"/></td>
              </tr>
              <tr>
                <td colspan=2 class="data_cell">
                  <table border=0 cellpadding=0 cellspacing=0>
                    <tr>
                      <td align="center"width=33%>
                        <i18n:message key="servergroup.modify.all_users"/><br>
                        <img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" height=3><br>
                        <select name="users" size=6 multiple style="width:270;">
						<% for (int i = 0; i < allAccounts.size(); i++) {
						      Account account = (Account) allAccounts.get(i);
						      if (! group.getAuthorizedAccounts().contains(account)) { %>
						         <option value="<%=account.getUserId()%>"><%=account.getFirstname()%> <%=account.getLastname()%>
						<%    }
						   } 
						%>                                      
                        </select>
                      </td>
                      <td align="center" width=33%>
                        <table border=0 cellpadding=0 cellspacing=0 valign="middle">
                          <tr>
                            <td><img src="<%= contextPath %>/<%=skinPath%>/images/pixel.gif" height=18></td>
                          </tr>
                          <tr>
                            <td>
                              <input type="button" class="button" style="width:90;" value="<i18n:message key="servergroup.modify.add"/> >" onclick="moveselected('users', 'granted')"><br>
                              <img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" height=3><br>
                              <input type="button" class="button" style="width:90;" value="< <i18n:message key="servergroup.modify.remove"/>" onclick="moveselected('granted', 'users')">
                            </td>
                          </tr>
                        </table>
                      </td>
                      <td align="center" width=33%>
                        <i18n:message key="servergroup.modify.granted_access"/><br>
                        <img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" height=3><br>
                        <select name="granted" size=6 multiple style="width:270;">
						<% ArrayList authorizedAccounts = group.getAuthorizedAccounts();
						   for (int i = 0; i < authorizedAccounts.size(); i++) {
						      Account account = (Account) authorizedAccounts.get(i); %>
						      <option value="<%=account.getUserId()%>"><%=account.getFirstname()%><%=account.getLastname()%>
						<% } %>  
                        </select>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td align="right"><input type="button" class="button" style="width:120;" name="cancel" value="<i18n:message key="servergroup.modify.cancel"/>" onClick="javascript:document.cancelform.submit();"> <input type="button" class="button" style="width:120;" name="saveChanges" value="<i18n:message key="servergroup.modify.save"/>" onclick="document.location='javascript:DoSubmit()';"><img src="<%=contextPath%>/<%=skinPath%>/images/pixel.gif" width=2></td>
        </tr>
      </table>
    </td>
  </tr>
</form>
<script language="Javascript">
<% int baselineType = Integer.parseInt(baselineForm.getBaselineType());
   if (baselineType == SystemProperties.BASELINE_TYPE_ROLLING_DATE) { %>
enablerollingbase();
<% } else if (baselineType == SystemProperties.BASELINE_TYPE_FIXED_DATE) { %>
enablefixedbase();
<% } else if (baselineType == SystemProperties.BASELINE_TYPE_RESPONSE_TIME) { %>
enablefixedrt();
<% } %>
</script>
</table>
</body>
</html>
